Bug 1178730 - SELinux is preventing Xorg.bin from 'getattr' accesses on the file /proc/<pid>/cmdline.
Summary: SELinux is preventing Xorg.bin from 'getattr' accesses on the file /proc/<pid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:13b2c1c5fa1df3eedff68c8fd04...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 12:23 UTC by Blazej Nowak
Modified: 2015-01-30 23:55 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:55:17 UTC
Type: ---


Attachments (Terms of Use)

Description Blazej Nowak 2015-01-05 12:23:34 UTC
Description of problem:
SELinux is preventing Xorg.bin from 'getattr' accesses on the file /proc/<pid>/cmdline.

*****  Plugin catchall (100. confidence) suggests   **************************

If aby Xorg.bin powinno mieć domyślnie getattr dostęp do cmdline file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep Xorg.bin /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                system_u:system_r:bumblebee_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                /proc/<pid>/cmdline [ file ]
Source                        Xorg.bin
Source Path                   Xorg.bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-103.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.17.7-300.fc21.x86_64 #1 SMP Wed
                              Dec 17 03:08:44 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2015-01-05 13:14:05 CET
Last Seen                     2015-01-05 13:14:05 CET
Local ID                      cdfdfe5d-0d59-40d1-828c-57d02b71cd1c

Raw Audit Messages
type=AVC msg=audit(1420460045.381:499): avc:  denied  { getattr } for  pid=6234 comm="Xorg.bin" path="/proc/6252/cmdline" dev="proc" ino=144725 scontext=system_u:system_r:bumblebee_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=file permissive=1


Hash: Xorg.bin,bumblebee_t,unconfined_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-103.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.7-300.fc21.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2015-01-06 11:57:59 UTC
commit 03f58844e96ec89e32eded1f385de6d203b9f9e8
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Tue Jan 6 11:30:12 2015 +0100

    Label /usr/libexec/Xorg.bin as xserver_exec_t.

Comment 2 Fedora Update System 2015-01-27 16:49:57 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 3 Fedora Update System 2015-01-30 04:32:49 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-01-30 23:55:17 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.